Subject: Re: [PATCH v2] net: cadence: Add architecture dependencies

From: Michal Simek <[email-masked]>
Date: Wed, 23 Apr 2014 11:35:55 +0200

On 04/23/2014 09:40 AM, Jean Delvare wrote:
> Hi Mark, Michal,
> 
> On Wed, 23 Apr 2014 09:16:49 +0200, Michal Simek wrote:
>> On 04/22/2014 10:32 PM, Mark Brown wrote:
>>> On Mon, Apr 14, 2014 at 03:38:49PM +0200, Jean Delvare wrote:
>>>> The Cadence ethernet chipsets are only used on specific ARM
>>>> architectures. Add Kconfig dependencies so that drivers for these
>>>> chipsets are only buildable on the relevant architectures.
>>>
>>> Are you sure they're not used on any of the FPGA platforms like
>>> Microblaze?
> 
> I'm not sure of anything, embedded isn't my area.
> 
>>> Cadence are an IP company,
> 
> I can't parse this, sorry. What is an "IP company"?

Company which is creating this piece of HW which is called IP.

>>> might be worth having a FPGA
>>> Kconfig that architectures commonly deployed with lots of soft IPs can
>>> select and the IPs depend on rather than building a custom list for each
>>> IP.
> 
> What are "soft IPs"? I'm afraid I wouldn't be able to translate your
> proposal into a patch, I just don't understand what you mean exactly.

Microblaze is soft-core cpu or soft IP if you like. It means it is written
in VHDL/Verilog or in different hardware description language.

>> macb driver can be used by Microblaze too.
> 
> Thanks for the information. I will send a patch adding MICROBLAZE to
> the dependencies. Out of curiosity, is there any way I could have found
> out by myself?

Microblaze doesn't need to be only one. I am not sure if there is
any AXI bridge for openrisc.
IMHO you should just add COMPILE_TEST and do not try to extend that
list of dependencies.

Thanks,
Michal

-- 
Michal Simek, Ing. (M.Eng), OpenPGP -> KeyID: FE3D1F91
w: www.monstr.eu p: +42-0-721842854
Maintainer of Linux kernel - Microblaze cpu - http://www.monstr.eu/fdt/
Maintainer of Linux kernel - Xilinx Zynq ARM architecture
Microblaze U-BOOT custodian and responsible for u-boot arm zynq platform